# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import dlcmapi_client
from dlcmapi_client.api.oai_info_api import OaiInfoApi  # noqa: E501
from dlcmapi_client.rest import ApiException


class TestOaiInfoApi(unittest.TestCase):
    """OaiInfoApi unit test stubs"""

    def setUp(self):
        self.api = dlcmapi_client.api.oai_info_api.OaiInfoApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_oai_info_get(self):
        """Test case for oai_info_get

        """
        pass

    def test_oai_info_oai_metadata_prefixes_delete_by_id(self):
        """Test case for oai_info_oai_metadata_prefixes_delete_by_id

        """
        pass

    def test_oai_info_oai_metadata_prefixes_get(self):
        """Test case for oai_info_oai_metadata_prefixes_get

        """
        pass

    def test_oai_info_oai_metadata_prefixes_get_by_id(self):
        """Test case for oai_info_oai_metadata_prefixes_get_by_id

        """
        pass

    def test_oai_info_oai_metadata_prefixes_patch_by_id(self):
        """Test case for oai_info_oai_metadata_prefixes_patch_by_id

        """
        pass

    def test_oai_info_oai_metadata_prefixes_post(self):
        """Test case for oai_info_oai_metadata_prefixes_post

        """
        pass

    def test_oai_info_oai_sets_delete_by_id(self):
        """Test case for oai_info_oai_sets_delete_by_id

        """
        pass

    def test_oai_info_oai_sets_get(self):
        """Test case for oai_info_oai_sets_get

        """
        pass

    def test_oai_info_oai_sets_get_by_id(self):
        """Test case for oai_info_oai_sets_get_by_id

        """
        pass

    def test_oai_info_oai_sets_patch_by_id(self):
        """Test case for oai_info_oai_sets_patch_by_id

        """
        pass

    def test_oai_info_oai_sets_post(self):
        """Test case for oai_info_oai_sets_post

        """
        pass


if __name__ == '__main__':
    unittest.main()
